## mingw-w64-python-h5pyd-0.20.0-1.src.tar.zst

=== requirements.txt ===
aiobotocore==2.13.0
aiofiles==24.1.0
aiohttp==3.9.4
aiohttp-cors==0.7.0
aioitertools==0.12.0
aiosignal==1.3.1
asttokens==3.0.0
attrs==24.2.0
azure-core==1.32.0
azure-storage-blob==12.24.0
bitshuffle==0.5.2
botocore==1.34.106
build==1.2.2.post1
certifi==2024.8.30
cffi==1.17.1
charset-normalizer==3.4.0
comm==0.2.2
contourpy==1.3.1
cryptography==44.0.0
cycler==0.12.1
Cython==3.0.11
debugpy==1.8.9
decorator==5.1.1
executing==2.1.0
fonttools==4.55.1
frozenlist==1.5.0
fsspec==2024.10.0
h5py==3.12.1
h5pyd @ file:///home/jreadey/repos/h5pyd
hsds==0.9.1
idna==3.10
importlib_resources==6.4.5
ipykernel==6.29.5
ipython==8.30.0
isodate==0.7.2
jedi==0.19.2
jmespath==1.0.1
jupyter_client==8.6.3
jupyter_core==5.7.2
kiwisolver==1.4.7
matplotlib==3.9.3
matplotlib-inline==0.1.7
multidict==6.1.0
nest-asyncio==1.6.0
numcodecs==0.14.1
numpy==2.2.0rc1
packaging==24.2
parso==0.8.4
pexpect==4.9.0
pillow==11.0.0
platformdirs==4.3.6
prompt_toolkit==3.0.48
propcache==0.2.1
psutil==6.1.0
ptyprocess==0.7.0
pure_eval==0.2.3
pycparser==2.22
pyflakes==3.2.0
Pygments==2.18.0
PyJWT==2.10.1
pyparsing==3.2.0
pyproject_hooks==1.2.0
python-dateutil==2.9.0.post0
pytz==2024.2
PyYAML==6.0.2
pyzmq==26.2.0
requests==2.31.0
requests-unixsocket==0.3.0
s3fs==2024.10.0
simplejson==3.19.3
six==1.16.0
stack-data==0.6.3
tornado==6.4.2
traitlets==5.14.3
typing_extensions==4.12.2
urllib3==1.26.20
wcwidth==0.2.13
wrapt==1.17.0
yarl==1.18.3

=== .devcontainer/requirements.txt ===
aiobotocore==2.12.3
aiohttp==3.10.2
aioitertools==0.11.0
aiosignal==1.3.1
attrs==23.2.0
botocore==1.34.69
build==1.2.1
certifi==2024.7.4
charset-normalizer==3.3.2
cycler==0.12.1
flake8==7.0.0
fonttools==4.51.0
frozenlist==1.4.1
fsspec==2024.3.1
h5netcdf==1.3.0
h5py==3.11.0
h5pyd @ git+https://github.com/hdfgroup/h5pyd
idna==3.7
ipykernel==6.29.4
jmespath==1.0.1
kiwisolver==1.4.5
matplotlib==3.8.4
mccabe==0.7.0
multidict==6.0.5
numpy>=2.0.0rc1
packaging==24.0
pillow==10.3.0
pycodestyle==2.11.1
pyflakes==3.2.0
PyJWT==2.8.0
pyparsing==3.1.2
pyproject_hooks==1.0.0
python-dateutil==2.9.0.post0
pytz==2024.1
requests==2.32.0
requests-unixsocket==0.3.0
s3fs==2024.3.1
six==1.16.0
urllib3==2.2.2
wrapt==1.16.0
xarray==2024.5.0
yarl==1.9.4

=== PKGBUILD ===
# Maintainer: Konstantin Podsvirov <konstantin@podsvirov.pro>

_realname=h5pyd
pkgbase=mingw-w64-python-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-python-${_realname}")
pkgver=0.20.0
pkgrel=1
pkgdesc="h5py distributed - Python client library for HDF Rest API (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url="https://github.com/HDFGroup/h5pyd"
msys2_references=(
  'pypi: h5pyd'
)
license=('BSD')
depends=("${MINGW_PACKAGE_PREFIX}-python-numpy"
         "${MINGW_PACKAGE_PREFIX}-python-requests-unixsocket"
         "${MINGW_PACKAGE_PREFIX}-python-packaging"
         "${MINGW_PACKAGE_PREFIX}-python-pytz"
         "${MINGW_PACKAGE_PREFIX}-python-pyjwt")
optdepends=(#"${MINGW_PACKAGE_PREFIX}-python-msrestazure: extra azure support"
            #"${MINGW_PACKAGE_PREFIX}-python-adal: extra azure support"
            #"${MINGW_PACKAGE_PREFIX}-python-google-api-python-client: extra google support"
            "${MINGW_PACKAGE_PREFIX}-python-google-auth-oauthlib: extra google support"
            "${MINGW_PACKAGE_PREFIX}-python-google-auth: extra google support"
            #"${MINGW_PACKAGE_PREFIX}-python-s3fs: extra aws support"
            "${MINGW_PACKAGE_PREFIX}-python-h5py: extra hdf5 support")
makedepends=("${MINGW_PACKAGE_PREFIX}-python-build"
             "${MINGW_PACKAGE_PREFIX}-python-installer"
             "${MINGW_PACKAGE_PREFIX}-python-setuptools"
             "${MINGW_PACKAGE_PREFIX}-python-pkgconfig")
options=('!strip')
source=("${_realname}-${pkgver}.tar.gz::https://github.com/HDFGroup/h5pyd/archive/refs/tags/v${pkgver}.tar.gz")
sha256sums=('d258016a07d954f10118a9997f47026462d5c6332821ca0e877f0117464f9f19')

build() {
  cp -r "${_realname}-${pkgver}" "python-build-${MSYSTEM}" && cd "python-build-${MSYSTEM}"
  ${MINGW_PREFIX}/bin/python -m build --wheel --skip-dependency-check --no-isolation
}

package() {
  cd "${srcdir}/python-build-${MSYSTEM}"

  MSYS2_ARG_CONV_EXCL="--prefix=" \
    ${MINGW_PREFIX}/bin/python -m installer --prefix=${MINGW_PREFIX} \
    --destdir="${pkgdir}" dist/*.whl

  install -Dm644 COPYING \
    "${pkgdir}${MINGW_PREFIX}/share/licenses/python-${_realname}/LICENSE.txt"
}
